co.aikar.commands

## Class SpongeCommandCompletions

- java.lang.Object
- - co.aikar.commands.CommandCompletions<SpongeCommandCompletionContext>
  - - co.aikar.commands.SpongeCommandCompletions

    public class SpongeCommandCompletions
    extends co.aikar.commands.CommandCompletions<SpongeCommandCompletionContext>

### Nested Class Summary

### Nested classes/interfaces inherited from class co.aikar.commands.CommandCompletions

`co.aikar.commands.CommandCompletions.AsyncCommandCompletionHandler<C extends co.aikar.commands.CommandCompletionContext>, co.aikar.commands.CommandCompletions.CommandCompletionHandler<C extends co.aikar.commands.CommandCompletionContext>, co.aikar.commands.CommandCompletions.SyncCompletionRequired`

### Constructor Summary

Constructors
Constructor and Description
`SpongeCommandCompletions(SpongeCommandManager manager)`

### Method Summary

### Methods inherited from class co.aikar.commands.CommandCompletions

`registerAsyncCompletion, registerCompletion, registerStaticCompletion, registerStaticCompletion, registerStaticCompletion, registerStaticCompletion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SpongeCommandCompletions

    public SpongeCommandCompletions(SpongeCommandManager manager)